$(function(){

    //定义Beautifier的构造函数
    var DialogFx = function(ele, opt) {
        this.$element = ele,
        this.defaults = {
            'id': 'somedialog',
            'dialogFx': '0',
        },
        this.options = $.extend({}, this.defaults, opt)
    };
    //定义DialogFx的显示方法
    DialogFx.prototype = {
        Show: function() {
            $("#"+this.options.id).removeClass("dialog--close");
            $("#"+this.options.id).addClass("dialog--open");    
        },
        Hidden: function() {
            $("#"+this.options.id).removeClass("dialog--open");
            $("#"+this.options.id).addClass("dialog--close");
        }
    };
    //在插件中使用DialogShow对象
    $.fn.DialogShow = function(options) {
        //创建Beautifier的实体
        var dialogFx = new DialogFx(this, options);
        if(options.dialogFx == "0"){
            return dialogFx.Hidden();
        } else {
            //调用其方法
            return dialogFx.Show();         
        }
    };

});
function html(){
	var s = '<div id="somedialog-2" class="dialog dialog-2">'
				+'<div class="dialog__overlay"></div>'
				+'<div class="dialog__content">'
					+'<div class="prompt-popup">'
						+'<div class="prompt-title">'
							+'<h2 class="prompt-title-h2"></h2><div class="prompt-title-close"><a href="#" class="prompt-title-close-a"><img src="http://4dkk.4dage.com/FDKKIMG/prompt_close.png" alt="png"></a></div>'
						+'</div>'
						+'<div class="prompt-main">'
				 			+'<span class="prompt-text"></span>'
				 		+'</div>'
				 		+'<div class="prompt-footer" >'
				 			+'<div class="footer-btn-single"><a href="#" class="footer-cancel"><span>确定</span></a></div>'
                            +'<div class="footer-btn-double"><a href="#" class="footer-btn-back footer-cancel"><span >返回</span></a><a href="#" class="footer-btn-confirm"><span>确定</span></a></div>'
				 		+'</div>'
				 	+'</div>'
				 +'</div>'
			+'</div>'
            +'<div id="somedialog-2-error"></div>';
	return s;
};


function popupwindow(opt){
	var set = $.extend({id:null,target:null},opt||{});
	var clickpages = {
		id:set.id,
		target:set.target,
		pophide:function(){
			var ele = html();
			clickpages.id.append(ele);
		    $("#somedialog-2-error").click(function(){
		        $(this).DialogShow({
		            'id': 'somedialog-2',  //传入id，可以控制样式
		            'dialogFx': '1',       //传入显示和隐藏的参数
		        });
		    });

		    $(".prompt-title-close-a").click(function(){
		        $(this).DialogShow({
		            'id': 'somedialog-2',
		            'dialogFx': '0',     //隐藏
		        });
		    });
		}
	}
	clickpages.pophide();
};

//错误弹出提示框函数  单个按钮
function error_dialog(title,text){
    $(".footer-btn-single").show();
    $(".footer-btn-double").hide();
    setTimeout(function(){
        $("#somedialog-2-error").trigger("click");
        $(".prompt-title-h2").text(title);
        $(".prompt-text").text(text);
    },10);
    
    $(".footer-cancel").click(function(){
        console.log(this);
	   	 $(this).DialogShow({
		            'id': 'somedialog-2',
		            'dialogFx': '0',     //隐藏
		        });
	   });
};

//成功弹出提示框函数  单个按钮
function success_dialog(title,text){
    $(".footer-btn-single").show();
    $(".footer-btn-double").hide();
    setTimeout(function(){
        $("#somedialog-2-error").trigger("click");
        $(".prompt-title-h2").text(title);
        $(".prompt-text").text(text);
    },10);
    
    $(".footer-cancel").click(function(){
    	
	   	 $(this).DialogShow({
		            'id': 'somedialog-2',
		            'dialogFx': '0',     //隐藏
		        });
	   });
};


//错误弹出提示框函数  双个按钮
function error_dialog_double(title,text,func1,func2){
    $(".footer-btn-single").hide();
    $(".footer-btn-double").show();
    setTimeout(function(){
        $("#somedialog-2-error").trigger("click");
        $(".prompt-title-h2").text(title);
        $(".prompt-text").text(text);
    },10);
    
    $('.footer-btn-confirm').click(function(){
    	
    	 $(this).DialogShow({
	            'id': 'somedialog-2',
	            'dialogFx': '0',     //隐藏
	        });
    	if(func1)
    	{
    		func1();
    	}
    	$('.footer-btn-confirm').unbind("click");
    });
    
    $(".footer-cancel").click(function(){
    	
    	 $(this).DialogShow({
	            'id': 'somedialog-2',
	            'dialogFx': '0',     //隐藏
	        });
    	
    	if(func2)
    	{
    		func2();
    	}
    	$('.footer-cancel').unbind("click");
    });
};

//成功弹出提示框函数  双个按钮
function success_dialog_double(title,text,func1,func2){
    $(".footer-btn-single").hide();
    $(".footer-btn-double").show();
    setTimeout(function(){
        $("#somedialog-2-error").trigger("click");
        $(".prompt-title-h2").text(title);
        $(".prompt-text").text(text);
    },10);
    
    $('.footer-btn-confirm').click(function(){
    	 $(this).DialogShow({
	            'id': 'somedialog-2',
	            'dialogFx': '0',     //隐藏
	        });
    	
    	if(func1)
    	{
    		func1();
    	}
    	$('.footer-btn-confirm').unbind("click");
    });
    
    $(".footer-cancel").click(function(){
    	
    	 $(this).DialogShow({
	            'id': 'somedialog-2',
	            'dialogFx': '0',     //隐藏
	        });
    	
    	if(func2)
    	{
    		func2();
    	}
    	$('.footer-cancel').unbind("click");
    });
};






